Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 195515 - Broken bracket matching for { } inside function
Broken bracket matching for { } inside function
Status: VERIFIED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
7.0
All All
: P3 (vote)
: 7.3
Assigned To: Martin Fousek
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-15 16:25 UTC by Vladimir Riha
Modified: 2014-01-29 16:04 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2011-02-15 16:25:50 UTC
After typing { inside function, closing bracket } is automatically added, but after writing }, the previous } is not removed, so the result is {}}
Comment 1 Vladimir Riha 2011-02-22 15:11:03 UTC
Works fine


Product Version: NetBeans IDE Dev (Build 201102220001)
Java: 1.7.0-ea; Java HotSpot(TM) Client VM 21.0-b02
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Comment 2 Vladimir Riha 2011-03-15 13:46:33 UTC
I have to reopen this bug since it is happening again, but I'm pretty sure it worked...


Product Version: NetBeans IDE Dev (Build 201103140400)
Java: 1.6.0_24; Java HotSpot(TM) Client VM 19.1-b02
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)
Comment 3 Petr Hejl 2012-09-19 14:03:12 UTC
Still valid.
Comment 4 Martin Fousek 2012-09-27 15:36:15 UTC
Fixed in web-main #4632db889085.
Comment 5 Quality Engineering 2012-10-01 12:02:30 UTC
Integrated into 'main-golden', will be available in build *201210010929* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4632db889085
User: Martin Fousek <marfous@netbeans.org>
Log: #195515 - Broken bracket matching for { } inside function
Comment 6 Vladimir Riha 2012-10-03 14:45:00 UTC
thanks, verified

Product Version: NetBeans IDE Dev (Build 201210030002)
Java: 1.7.0_10-ea; Java HotSpot(TM) Client VM 23.6-b03
System: Linux version 3.2.0-31-generic-pae running on i386; UTF-8; en_US (nb)
Comment 7 gauravmeena0708 2014-01-11 02:54:42 UTC
the bracket gets automatically added after pressing enter.

it should be added even without pressing enter.

also when i manually type } it does not replace original
Comment 8 Vladimir Riha 2014-01-29 16:04:45 UTC
Please file a new issue for it, this one was about something else. Thank you.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo